Bug 3285 - Location on Add Subscription should be pull down
Summary: Location on Add Subscription should be pull down
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: PC All
: PATCH-Sent (DO NOT USE) critical (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-03 10:25 UTC by Nicole C. Engard
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Incremental fix (4.89 KB, patch)
2010-08-17 15:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Incremental Fix (4.68 KB, application/octet-stream)
2010-12-06 11:49 UTC, Colin Campbell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:08:42 UTC


---- Reported by nengard@gmail.com 2009-06-03 10:25:10 ----

[06:21]  <hdl_laptop> nengard: location in subscription is added in order to add kind of items.location default for issue received.
[06:21]  <nengard> isn't that shelving location? If so it's an authorized value and should be a pull down not a free text field .... right?
[06:21]  <gmcharlt> hdl_laptop: hmm - raises a question for me, then, as it doesn't seem to be actually setting it as a default for new received items
[06:21]  <gmcharlt> and nengard is right about the drop-down
[06:22]  <nengard> that's why i was so confused when I saw it originally
[06:22]  <nahuel> yo
[06:22]  <hdl_laptop> nengard: gmcharlt yes. 
[06:22]  <nahuel> arf
[06:22]  <hdl_laptop> It is forecast.
[06:23]  <gmcharlt> "light periods of snow, followed by raining patches"
[06:23]  <hdl_laptop> Not done because done for a migration purpose.
[06:24]  <gmcharlt> nengard: please file a bug so we don't lose track
[06:24]  <nengard> will do



---- Additional Comments From nengard@gmail.com 2009-12-11 13:03:02 ----

I am upping the severity since you can't use this field without the pull down in place.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:08 UTC  ---

This bug was previously known as _bug_ 3285 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3285

Actual time not defined. Setting to 0.0
CC member bchurch@ptfs.com does not have an account here

Comment 1 Nicole C. Engard 2010-06-02 11:38:26 UTC
I recommend that this field either be removed to resolved ...
Comment 2 Colin Campbell 2010-07-21 10:14:29 UTC
Took at look at the field in a user's database. As it has been offered up as a free text field it has in a few cases been used exactly as that. If adding a dropdown we need a consistent usage elsewhere. If not using it as location it needs to be named differently. Will look at it
Comment 3 Nicole C. Engard 2010-07-21 11:24:02 UTC
If it's supposed to be used as a free text field, what kind of data are you entering here and where does it appear? It seems that we already have a location - shelving location - and that's what most people think this is for.  I'll have to poke at it some more.
Comment 4 Colin Campbell 2010-07-21 11:57:57 UTC
I didn't say it was supposed to be a free text field (if it was we should probably relabel it). The root problem is that it isn't clearly defined what its purpose is. At the moment it is just entered and saved.
Comment 5 Nicole C. Engard 2010-07-21 12:07:55 UTC
:) got it!! I still want to poke and see how it's displaying that data if at all .. if not then if people are entering data in that field we might (like you say) have to rename it and then add in a shelving location field.
Comment 6 Nicole C. Engard 2010-07-21 12:10:55 UTC
Okay one more update - the Location appears on the staff client on the summary of the subscription, but no where else - not in the OPAC and not on the bib record in the staff client (that I see).
Comment 7 Owen Leonard 2010-08-17 14:21:16 UTC
When you specify a Location when saving/editing a subscription it gets saved in the subscriptions table, but then the information is not used anywhere else. My guess is that the intention is for the location value to then be used when adding an item? I would think we could use the information to preselect the location in the serial add item form.
Comment 8 Owen Leonard 2010-08-17 15:33:29 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2010-12-03 15:46:58 UTC
Original patch will probably not apply cleanly anymore. A revised version of
this fix can be found here: http://gitorious.org/koha-dev/koha-dev/commits/ps-Bug-3285-Locatino-dropdown-serials-2010-08-17
Comment 10 Colin Campbell 2010-12-06 11:49:57 UTC
Created attachment 2803 [details]
Incremental Fix

The latest version of the bugfix had a syntax error (missing } ) this tested version corrects that
Comment 11 Chris Cormack 2010-12-06 20:30:43 UTC
Partial patch pushed, awaiting follow up patch
Comment 12 Nicole C. Engard 2010-12-16 14:21:19 UTC
I confirm that the first patch works A-OK but will not close as we are waiting for more.
Comment 13 MJ Ray (software.coop) 2011-01-10 10:49:38 UTC
This bug is mentioned in:
Incremental fix for Bug 3285 -	Location on Add Subscription should be pull down http://lists.koha-community.org/pipermail/koha-patches/2010-December/013167.html
Comment 14 Paul Poulain 2011-02-22 10:56:53 UTC
the behaviour to have the location pre-selected when serials add items is in another ticket/patch, so closing this one
Comment 15 Owen Leonard 2011-02-22 15:49:02 UTC
> the behaviour to have the location pre-selected when serials add items is in
> another ticket/patch

Which one?